<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace  Kufer\Web\KuferTools\Firma\FaFeedbackauswertungenUebersicht;

class ControllerFactory
{
  public function getController($pAction)
  {
    switch ($pAction) {
      default:
      case 'fafeedbackauswertungenUebersicht':
        return new FaFeedbackauswertungen\FaFeedbackauswertungenUebersichtController();
      case 'faShowFilterFeedbackauswertungenUebersicht':
        return new FaFeedbackFilter\FaShowFilterFeedbackauswertungenUebersichtController();
      case 'faFeedbackauswertungenUebersichtSetFilter':
        return new FaFeedbackFilter\FaFeedbackauswertungenUebersichtSetFilterController();
      case 'faFeedbackauswertungenUebersichtResetFilter':
        return new FaFeedbackFilter\FaFeedbackauswertungenUebersichtResetFilterController();
    }
  }
}